<?php

namespace Fastrack\Core\Field;


use SilverStripe\Forms\LiteralField;
use SilverStripe\SiteConfig\SiteConfig;
use SilverStripe\View\SSViewer;

class GoogleMapField extends LiteralField
{


	public function __construct($name)
	{
		$this->setAttribute('data-key', SiteConfig::current_site_config()->getField('GoogleMapAPIKey'));
		$html = (string) $this->renderWith(SSViewer::get_templates_by_class($this, '', __CLASS__));
		parent::__construct($name, $html);
	}

}
